/*******************************************************************************
 * Copyright (c) 2000, 2004, 2007 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Ecplise Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *     Pervasive Software, Inc. - Added Dynamic properties
 *******************************************************************************/
package com.pervasive.open.eclipse.dynamicproperties.internal;

import org.eclipse.core.runtime.Platform;

/**
 */
public class DynamicPropertyPageContributorManager extends
        org.eclipse.ui.internal.dialogs.PropertyPageContributorManager
{
    private static DynamicPropertyPageContributorManager sharedInstance = null;

    /**
     * The constructor.
     */
    public DynamicPropertyPageContributorManager()
    {
        super();
        loadContributors();
    }

    /**
     * Ideally, shared instance should not be used and manager should be located
     * in the workbench class.
     */
    public static DynamicPropertyPageContributorManager getDynamicManager()
    {
        if (sharedInstance == null)
            sharedInstance = new DynamicPropertyPageContributorManager();
        return sharedInstance;
    }

    /**
     * Loads property page contributors from the registry.
     */
    private void loadContributors()
    {
/*        PropertyPagesRegistryReader reader = 
            new PropertyPagesRegistryReader(this);

        reader.registerPropertyPages(Platform.getExtensionRegistry());*/

        DynamicPropertyPagesRegistryReader dynamicReader = 
            new DynamicPropertyPagesRegistryReader(this);

        dynamicReader.registerPropertyPages(Platform.getExtensionRegistry());        
    }
}
